Bug 124890 - i18n im-switch message
Summary: i18n im-switch message
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Yu Shao
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: FC3Target IIIMF
TreeView+ depends on / blocked
 
Reported: 2004-06-01 04:20 UTC by Nakai
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-27 02:13:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nakai 2004-06-01 04:20:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.6) Gecko/20040510

Description of problem:
im-switch is not gettextized

Version-Release number of selected component (if applicable):
iiimf-x-11.4-43

How reproducible:
Always

Steps to Reproduce:
1. im-switch in LANG=ja_JP.UTF-8
2. English 
3.
    

Actual Results:  English

Expected Results:  Japanese for ja_JP.UTF-8

Additional info:

Comment 1 Warren Togami 2004-06-10 06:45:02 UTC
This should be fixed when im-switch is rewritten in python (?) to have
GUI.  The current version is a shell script, which would be quite ugly
to i18nize.

Target FC3, although may push it to FC2 updates sooner if we manage to
implement it early.

Comment 2 Nakai 2004-06-11 07:47:22 UTC
Shell scripts can be gettextized.
See initscripts.

Rewritten in python with i18ned GUI is also fine.

Comment 3 Leon Ho 2004-07-27 02:13:48 UTC
Rewritten to pyGtk with gettext is done. please check system-switch-im.


Note You need to log in before you can comment on or make changes to this bug.